import request from "@/utils/request";
//获取单据审批按钮权限
export function getAuditBtn(data) {
  return request({
    url: "/Api/Workflow/GetBillOperateBtn",
    method: "post",
    data,
  });
}
//审批流-提交审核
export function submitAudit(data) {
  return request({
    url: "/Api/Workflow/SubmitAudit",
    method: "post",
    data,
  });
}
//审批流-审核
export function audit(data) {
  return request({
    url: "/Api/Workflow/Audit",
    method: "post",
    data,
  });
}
//加签
export function auditAddFlow(data) {
  return request({
    url: "/Api/Workflow/AddBillWorkFlowNote",
    method: "post",
    data,
  });
}
//获取单据审批记录
export function getAuditNote(data) {
  return request({
    url: "/Api/Workflow/GetAuditNoteList",
    method: "post",
    data,
  });
}
//审批流-已读
export function read(data) {
  return request({
    url: "/Api/Workflow/Read",
    method: "post",
    data,
  });
}
//审批流-撤销审核
export function removeAudit(data) {
  return request({
    url: "/Api/Workflow/Revocation",
    method: "post",
    data,
  });
}
//获取单据审批流程
export function getAuditList(data) {
  return request({
    url: "/Api/Workflow/SowBillWork",
    method: "post",
    data,
  });
}

